
nav{
    position: absolute;
    background: white;
    left:0;
    top:0;
    bottom:0;
    width: 254px;
    z-index: 0;
    display: flex;
    flex-direction: column;
}

nav ul{
    padding:0;
}

nav ul li{
    list-style: none;
    padding: 15px;
    display: flex;
    flex-direction: row;
    align-items: center;
    transition: all .4s;
    position: relative;
    height: 50px;
    border-width: 0 2px;
    border-style: solid;
    border-color: transparent;
}

nav ul li:hover,
nav .root-menu li.active{
    border-left: 2px solid var(--primary-color);
    cursor: pointer;
    color: var(--primary-color);
}

nav ul li i{
    width:20px;
    height: 20px;
    display: flex !important;
    align-items:center;
    justify-content:center;
    position: absolute;
}

nav ul li span{
    left: 50px;
    top: 15px;
    vertical-align: middle;
    position: absolute;
}

nav .root-menu{
    width: 54px;
    border-right: 1px solid gainsboro;
    padding: 15px 0;
    margin:0;
    height: 100%;
}

nav .sub-menu{
    position: absolute;
    left: 54px;
    pointer-events:none;
    width: 200px;
    opacity: 0;
    transition: all .4s;
}

nav .sub-menu.active{
    opacity:1;
    pointer-events: auto;
}

nav .sub-menu li:hover{
    background: whitesmoke;
    border-color: transparent;
}

nav .version{
    margin-top: calc(100vh - 180px);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0.7;
    color: #009688;
    font-family: monospace;
}

nav .version span{
    margin-left: 10px;
    font-size: 15px;
}